org.apache.jmeter.report.processor

## Class ApdexSummaryData

- java.lang.Object
- - org.apache.jmeter.report.processor.ApdexSummaryData

-     public class ApdexSummaryData
      extends java.lang.Object

  The class ApdexSummaryData provides information for ApdexSummaryConsumer.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApdexSummaryData(ApdexThresholdsInfo info)` Instantiates a new apdex summary data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApdexThresholdsInfo` | `getApdexThresholdInfo()`
    `long` | `getSatisfiedCount()`
    `long` | `getToleratedCount()`
    `long` | `getTotalCount()`
    `void` | `incSatisfiedCount()`
    `void` | `incToleratedCount()`
    `void` | `incTotalCount()`
    `void` | `setSatisfiedCount(long satisfiedCount)`
    `void` | `setToleratedCount(long toleratedCount)`
    `void` | `setTotalCount(long totalCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApdexSummaryData

          public ApdexSummaryData(ApdexThresholdsInfo info)

      Instantiates a new apdex summary data.
      Parameters:
        `info` - the threshold information

  - ### Method Detail

    - #### getApdexThresholdInfo

          public final ApdexThresholdsInfo getApdexThresholdInfo()

    - #### getSatisfiedCount

          public final long getSatisfiedCount()

    - #### setSatisfiedCount

          public final void setSatisfiedCount(long satisfiedCount)

    - #### getToleratedCount

          public final long getToleratedCount()

    - #### setToleratedCount

          public final void setToleratedCount(long toleratedCount)

    - #### getTotalCount

          public final long getTotalCount()

    - #### setTotalCount

          public final void setTotalCount(long totalCount)

    - #### incSatisfiedCount

          public void incSatisfiedCount()

    - #### incToleratedCount

          public void incToleratedCount()

    - #### incTotalCount

          public void incTotalCount()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.